org.gnome.gdk

## Class RGBA

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.RGBA

-     public final class RGBA
      extends Boxed

  Representation of an RGB colour. Used by GDK in drawing Widgets and related elements.
  Since:
    4.0.20
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RGBA` | `BLACK`
    `static RGBA` | `BLUE`
    `static RGBA` | `GREEN`
    `static RGBA` | `RED`
    `static RGBA` | `WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RGBA(double red, double green, double blue, double alpha)` Construct a new RGBA object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `double` | `getAlpha()` Get the blue component of this Color.
    `double` | `getBlue()` Get the blue component of this Color.
    `double` | `getGreen()` Get the green component of this Color.
    `double` | `getRed()` Get the red component of this Color.
    `int` | `hashCode()`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final RGBA BLACK

      Since:
        4.0.20

    - #### BLUE

          public static final RGBA BLUE

      Since:
        4.0.20

    - #### GREEN

          public static final RGBA GREEN

      Since:
        4.0.20

    - #### RED

          public static final RGBA RED

      Since:
        4.0.20

    - #### WHITE

          public static final RGBA WHITE

      Since:
        4.0.20

  - ### Constructor Detail

    - #### RGBA

          public RGBA(double red,
              double green,
              double blue,
              double alpha)

      Construct a new RGBA object. The `red`, `green`, `blue` and `alpha` parameters take values `0.0` to `1.0`.
      Since:
        4.0.20

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getAlpha

          public double getAlpha()

      Get the blue component of this Color.
      Since:
        4.1.1

    - #### getBlue

          public double getBlue()

      Get the blue component of this Color.
      Since:
        4.0.20

    - #### getGreen

          public double getGreen()

      Get the green component of this Color.
      Since:
        4.0.20

    - #### getRed

          public double getRed()

      Get the red component of this Color.
      Since:
        4.0.20

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`